glibmm: Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > > Class Template Reference

glibmm 2.31.18

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > > Class Template Reference

`#include <glibmm/arrayhandle.h>`

List of all members.

## Public Types
typedef ArrayHandle< bool, Container_Helpers::TypeTraits < bool > > | Me
typedef Container_Helpers::TypeTraits < bool > | Tr
typedef Tr::CppType | CppType
typedef Tr::CType | CType
typedef CppType | value_type
typedef size_t | size_type
typedef ptrdiff_t | difference_type
typedef Glib::Container_Helpers::ArrayHandleIterator < Tr > | const_iterator
typedef Glib::Container_Helpers::ArrayHandleIterator < Tr > | iterator
## Public Member Functions
template<class Cont >
| ArrayHandle (const Cont& container)
| ArrayHandle (const CType* array, size_t array_size, Glib::OwnershipType ownership)
| ArrayHandle (const CType* array, Glib::OwnershipType ownership)
| ArrayHandle (const Me& other)
| ~ArrayHandle ()
const_iterator | begin () const
const_iterator | end () const
template<class U >
| operator std::vector< U > () const
template<class U >
| operator std::deque< U > () const
template<class U >
| operator std::list< U > () const
template<class Cont >
void | assign_to (Cont& container) const
template<class Out >
void | copy (Out pdest) const
const CType* | data () const
size_t | size () const
bool | empty () const

### template <>
class Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >

## Member Typedef Documentation

typedef Glib::Container_Helpers::ArrayHandleIterator<Tr> Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::const_iterator

typedef Tr::CppType Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::CppType

typedef Tr::CType Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::CType

typedef ptrdiff_t Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::difference_type

typedef Glib::Container_Helpers::ArrayHandleIterator<Tr> Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::iterator

typedef ArrayHandle<bool, Container_Helpers::TypeTraits<bool> > Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::Me

typedef size_t Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::size_type

typedef Container_Helpers::TypeTraits<bool> Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::Tr

typedef CppType Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::value_type

## Constructor & Destructor Documentation

template <class Cont >

Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::ArrayHandle | ( | const Cont & | container | ) | `[inline]`

Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::ArrayHandle | ( | const CType* | array,
|  | size_t | array_size,
|  | Glib::OwnershipType | ownership
| ) |  | `[inline]`

Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::ArrayHandle | ( | const CType* | array,
|  | Glib::OwnershipType | ownership
| ) |  | `[inline]`

Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::ArrayHandle | ( | const Me& | other | ) | `[inline]`

Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::~ArrayHandle | ( |  | ) |

## Member Function Documentation

template <class Cont >

void Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::assign_to | ( | Cont & | container | ) | const`[inline]`

const_iterator Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::begin | ( |  | ) | const`[inline]`

template <class Out >

void Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::copy | ( | Out | pdest | ) | const`[inline]`

const CType* Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::data | ( |  | ) | const`[inline]`

bool Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::empty | ( |  | ) | const`[inline]`

const_iterator Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::end | ( |  | ) | const`[inline]`

template <class U >

Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::operator std::deque< U > | ( |  | ) | const`[inline]`

template <class U >

Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::operator std::list< U > | ( |  | ) | const`[inline]`

template <class U >

Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::operator std::vector< U > | ( |  | ) | const`[inline]`

size_t Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::size | ( |  | ) | const`[inline]`